package fmon.world

import fmon._
import fmon.util.Direction

class GameEvent(val name: String, val pages: IndexedSeq[EventPage]) {
  def currPage = pages.head // TODO : Conditions
  // Event Name
  // Event Pages
}

class NPC(val event: GameEvent, pos: Position) 
    extends Actor(event.currPage.sprite, pos, new Movement(Direction.Stationary, 0.0)) {
  
  def selectNextMove: Movement = {
    new Movement(Direction.Stationary, 0.0)
  }
}